# derivative< T > Class Template Reference

`#include <_calculus.h>`

List of all members.

## Public Member Functions

| derivative (const T &x, const typename T::argument_type &epsilon=0.000001)
T::result_type | operator() (const typename T::argument_type &x) const

## Private Attributes

T | func
T::argument_type | epsilon

## Detailed Description

### template<typename T>
class derivative< T >

======================================================================== Extended Template and Library Calculus Functional Classes Implementation $Id$

Copyright (c) 2002 Robert B. Quattlebaum Jr. Copyright (c) 2008 Chris Moore

This package is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This package is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=== N O T E S ===========================================================

=========================================================================

Definition at line 47 of file _calculus.h.

## Constructor & Destructor Documentation

template<typename T>

derivative< T >::derivative | ( | const T & | x,
|  | const typename T::argument_type & | epsilon = `0.000001` |
| ) |  |  | `[inline, explicit]`

Definition at line 52 of file _calculus.h.

## Member Function Documentation

template<typename T>

T::result_type derivative< T >::operator() | ( | const typename T::argument_type & | x | ) | const`[inline]`

Definition at line 55 of file _calculus.h.

References derivative< T >::epsilon, and derivative< T >::func.

## Member Data Documentation

template<typename T>

T derivative< T >::func `[private]`

Definition at line 49 of file _calculus.h.

Referenced by derivative< hermite< T > >::operator()(), and derivative< T >::operator()().

template<typename T>

T::argument_type derivative< T >::epsilon `[private]`

Definition at line 50 of file _calculus.h.

Referenced by derivative< T >::operator()().

The documentation for this class was generated from the following file:

- _calculus.h